﻿using Newtonsoft.Json;

namespace TestProject;

/// <summary>
/// 스트리밍 데이터 토큰
/// </summary>
public class StreamingDataToken : StreamingDataBase
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 메시지 - Message

    /// <summary>
    /// 메시지
    /// </summary>
    [JsonProperty("message")]
    public Message Message { get; set; }

    #endregion
    #region 인덱스 - Index

    /// <summary>
    /// 인덱스
    /// </summary>
    [JsonProperty("index")]
    public long Index { get; set; }

    #endregion
    #region 입력 길이 - InputLength

    /// <summary>
    /// 입력 길이
    /// </summary>
    [JsonProperty("inputLength")]
    public long InputLength { get; set; }

    #endregion
    #region 출력 길이 - OutputLength

    /// <summary>
    /// 출력 길이
    /// </summary>
    [JsonProperty("outputLength")]
    public long OutputLength { get; set; }

    #endregion
    #region 중단 사유 - StopReason

    /// <summary>
    /// 중단 사유
    /// </summary>
    [JsonProperty("stopReason")]
    public string StopReason { get; set; }

    #endregion
}